Особисті сповіщення
GET https://pusher.cv/api/personal-notifications/
curl --request GET \
--url 'https://pusher.cv/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.cv/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
| Параметри | Деталі | Опис |
|---|---|---|
| page | Необов'язково Ціле число | Номер сторінки, з якої ви хочете отримати результати. За замовчуванням 1 |
| results_per_page | Необов'язково Ціле число | Скільки результатів ви хочете на сторінці. Дозволені значення: 10 , 25 , 50 , 100 , 250 , 500 , 1000. За замовчуванням 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"subscriber_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"is_sent": 1,
"is_displayed": 1,
"is_clicked": 0,
"is_closed": 0,
"status": "sent",
"scheduled_datetime": "2024-08-02 17:00:43",
"sent_datetime": "2024-08-02 17:00:43",
"last_datetime": null,
"datetime": "2026-07-18 18:33:38",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pusher.cv/api/personal-notifications?page=1",
"last": "https://pusher.cv/api/personal-notifications?page=1",
"next": null,
"prev": null,
"self": "https://pusher.cv/api/personal-notifications?page=1"
}
}
GET https://pusher.cv/api/personal-notifications/{personal_notification_id}
curl --request GET \
--url 'https://pusher.cv/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.cv/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"subscriber_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"is_sent": 1,
"is_displayed": 1,
"is_clicked": 0,
"is_closed": 0,
"status": "sent",
"scheduled_datetime": "2024-08-02 17:00:43",
"sent_datetime": "2024-08-02 17:00:43",
"last_datetime": null,
"datetime": "2026-07-18 18:33:38",
}
}
POST https://pusher.cv/api/personal-notifications
| Параметри | Деталі | Опис |
|---|---|---|
| website_id | Обов'язково Ціле число | - |
| subscriber_id | Обов'язково Ціле число | - |
| name | Обов'язково Рядок | - |
| title | Обов'язково Рядок | - |
| description | Обов'язково Рядок | - |
| url | Необов'язково Рядок | - |
| image | Необов'язково Файл | - |
| button_title_1 | Необов'язково Рядок | - |
| button_url_1 | Необов'язково Рядок | - |
| button_title_2 | Необов'язково Рядок | - |
| button_url_2 | Необов'язково Рядок | - |
| is_scheduled | Необов'язково Булевий | - |
| scheduled_datetime | Необов'язково Рядок | - |
| is_silent | Необов'язково Булевий | - |
| is_auto_hide | Необов'язково Булевий | - |
| ttl | Необов'язково Рядок | Дозволені значення: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200 |
| utm_source | Необов'язково Рядок | - |
| utm_medium | Необов'язково Рядок | - |
| utm_campaign | Необов'язково Рядок | - |
| save | Необов'язково Булевий | Зберегти чернетку |
| send | Необов'язково Булевий | Надіслати особисте сповіщення |
curl --request POST \
--url 'https://pusher.cv/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://pusher.cv/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
POST https://pusher.cv/api/personal-notifications/{personal_notification_id}
| Параметри | Деталі | Опис |
|---|---|---|
| website_id | Необов'язково Ціле число | - |
| subscriber_id | Необов'язково Ціле число | - |
| name | Необов'язково Рядок | - |
| title | Необов'язково Рядок | - |
| description | Необов'язково Рядок | - |
| url | Необов'язково Рядок | - |
| image | Необов'язково Файл | - |
| button_title_1 | Необов'язково Рядок | - |
| button_url_1 | Необов'язково Рядок | - |
| button_title_2 | Необов'язково Рядок | - |
| button_url_2 | Необов'язково Рядок | - |
| is_scheduled | Необов'язково Булевий | - |
| scheduled_datetime | Необов'язково Рядок | - |
| is_silent | Необов'язково Булевий | - |
| is_auto_hide | Необов'язково Булевий | - |
| ttl | Необов'язково Рядок | Дозволені значення: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200 |
| utm_source | Необов'язково Рядок | - |
| utm_medium | Необов'язково Рядок | - |
| utm_campaign | Необов'язково Рядок | - |
| save | Необов'язково Булевий | Зберегти чернетку |
| send | Необов'язково Булевий | Надіслати особисте сповіщення |
curl --request POST \
--url 'https://pusher.cv/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://pusher.cv/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
DELETE https://pusher.cv/api/personal-notifications/{personal_notification_id}
curl --request DELETE \
--url 'https://pusher.cv/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.cv/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \